Bug 1300011 - Unable to use a git repo for a S2I in a split environment
Unable to use a git repo for a S2I in a split environment
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Rajat Chopra
Meng Bo
: UpcomingRelease
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 13:21 EST by Eric Jones
Modified: 2016-04-04 17:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
OpenShift Enterprise 3.1
Last Closed: 2016-03-30 14:09:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Jones 2016-01-19 13:21:00 EST
Description of problem:
Customer has an OpenShift 3.1 cluster installed with multiple nodes. One is in a private data center and the other is in AWS. If customer attempts to specify a private git repo for use with an S2I, after specifying a secret, the pod never deploys, it hangs on pending waiting to talk with the repo. The node in the private data center is able to, using the same secret, specify the same private git repo for use with an S2I and the pod deploys.

Version-Release number of selected component (if applicable):
OpenShift Enterprise 3.1

How reproducible:
100% in their environment

Steps to Reproduce:
1. Create secret that allows for use with the private git repo
2. Start the S2I deployer 

Actual results:
AWS node deploy hangs

Expected results:
Deploy the node

Additional info:
The customer is able to ssh to each node and manually clone from the git repo in both the AWS and private data center nodes.
Comment 4 Rajat Chopra 2016-03-30 14:09:04 EDT
Closed with fixes gone for release 3.2

Note You need to log in before you can comment on or make changes to this bug.